Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.openpgp
Class PGPSignatureList

    java.lang.Object
      org.bouncycastle.openpgp.PGPSignatureList

    public class PGPSignatureList

extends java.lang.Object

A list of PGP signatures - normally in the signature block after literal data.

Constructor Summary
`PGPSignatureList(PGPSignature sig)`
`PGPSignatureList(PGPSignature[] sigs)`

Method Summary
`PGPSignature` | `get(int index)`
`boolean` | `isEmpty()`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PGPSignatureList

    public PGPSignatureList(PGPSignature[] sigs)

### PGPSignatureList

    public PGPSignatureList(PGPSignature sig)

Method Detail

### get

    public PGPSignature get(int index)

### size

    public int size()

### isEmpty

    public boolean isEmpty()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD